Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6321 - DHCP should have a 'route' added at startup
Summary: DHCP should have a 'route' added at startup
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcp
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-25 05:36 UTC by Chris Yeo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-24 18:14:07 UTC


Attachments (Terms of Use)

Description Chris Yeo 1999-10-25 05:36:05 UTC
Hi,

This is not really a bug, but since a lot of people will
have their linux box running dhcp for a combination of
Windows an other OS's, this is what I would purpose.

Can you ask at the end of the installation or when you do an
install of dhcp for which ethernet device you are going to
run the dhcp server.  This could add 2 things to the startup
scripts.

you could have these changes in start:

daemon /usr/sbin/dhcpd <ethx>
route add -host 255.255.255.255 dev <ethx>

And in stop:

route del -host 255.255.255.255 dev <ethx>

Just a suggestion...

Chris

Comment 1 Erik Troan 2000-02-24 18:14:59 UTC
We've asked TCP/IP folks about this, and as this is only needed for old, buggy
TCP stacks the consensus was that this would not be a good idea.


Note You need to log in before you can comment on or make changes to this bug.